searchNodes=[{"doc":"This module delegates all functions to AnkiConnect.Actions.* and AnkiConnect.Services.* modules. Functions can be called from your Elixir application as follows: AnkiConnect . add_note ( %{ note : %{ deck_name : &quot;TEST DECK&quot; , model_name : &quot;Basic&quot; , fields : %{ Front : &quot;front content&quot; , Back : &quot;back content&quot; } } } ) or from the command line using mix anki_connect task: &gt; mix anki_connect add_note --note=&#39;{&quot;deck_name&quot;: &quot;TEST DECK&quot;, &quot;model_name&quot;: &quot;Basic&quot;, &quot;fields&quot;: {&quot;Front&quot;: &quot;front content&quot;, &quot;Back&quot;: &quot;back content&quot;}}&#39; 1684946786121 another example: &gt; mix anki_connect add_notes_from_file --file=&quot;words.md&quot; --deck=&quot;TEST DECK&quot; [1684955655336, 1684955655337, ...]","ref":"AnkiConnect.html","title":"AnkiConnect","type":"module"},{"doc":"See AnkiConnect.Actions.Note.add_note/1 .","ref":"AnkiConnect.html#add_note/1","title":"AnkiConnect.add_note/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.add_notes/1 .","ref":"AnkiConnect.html#add_notes/1","title":"AnkiConnect.add_notes/1","type":"function"},{"doc":"See AnkiConnect.Services.AddNotesFromFile.add_notes_from_file/1 .","ref":"AnkiConnect.html#add_notes_from_file/1","title":"AnkiConnect.add_notes_from_file/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.add_tags/1 .","ref":"AnkiConnect.html#add_tags/1","title":"AnkiConnect.add_tags/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.api_reflect/1 .","ref":"AnkiConnect.html#api_reflect/1","title":"AnkiConnect.api_reflect/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.can_add_notes/1 .","ref":"AnkiConnect.html#can_add_notes/1","title":"AnkiConnect.can_add_notes/1","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.card_reviews/1 .","ref":"AnkiConnect.html#card_reviews/1","title":"AnkiConnect.card_reviews/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.change_deck/1 .","ref":"AnkiConnect.html#change_deck/1","title":"AnkiConnect.change_deck/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.clear_unused_tags/0 .","ref":"AnkiConnect.html#clear_unused_tags/0","title":"AnkiConnect.clear_unused_tags/0","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.clone_deck_config_id/1 .","ref":"AnkiConnect.html#clone_deck_config_id/1","title":"AnkiConnect.clone_deck_config_id/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.create_deck/1 .","ref":"AnkiConnect.html#create_deck/1","title":"AnkiConnect.create_deck/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.create_model/1 .","ref":"AnkiConnect.html#create_model/1","title":"AnkiConnect.create_model/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.deck_names/0 .","ref":"AnkiConnect.html#deck_names/0","title":"AnkiConnect.deck_names/0","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.deck_names_and_ids/0 .","ref":"AnkiConnect.html#deck_names_and_ids/0","title":"AnkiConnect.deck_names_and_ids/0","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.delete_decks/1 .","ref":"AnkiConnect.html#delete_decks/1","title":"AnkiConnect.delete_decks/1","type":"function"},{"doc":"See AnkiConnect.Actions.Media.delete_media_file/1 .","ref":"AnkiConnect.html#delete_media_file/1","title":"AnkiConnect.delete_media_file/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.delete_notes/1 .","ref":"AnkiConnect.html#delete_notes/1","title":"AnkiConnect.delete_notes/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.export_package/1 .","ref":"AnkiConnect.html#export_package/1","title":"AnkiConnect.export_package/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.find_and_replace_in_models/1 .","ref":"AnkiConnect.html#find_and_replace_in_models/1","title":"AnkiConnect.find_and_replace_in_models/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.find_notes/1 .","ref":"AnkiConnect.html#find_notes/1","title":"AnkiConnect.find_notes/1","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.get_collection_stats_html/1 .","ref":"AnkiConnect.html#get_collection_stats_html/1","title":"AnkiConnect.get_collection_stats_html/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.get_deck_config/1 .","ref":"AnkiConnect.html#get_deck_config/1","title":"AnkiConnect.get_deck_config/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.get_deck_stats/1 .","ref":"AnkiConnect.html#get_deck_stats/1","title":"AnkiConnect.get_deck_stats/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.get_decks/1 .","ref":"AnkiConnect.html#get_decks/1","title":"AnkiConnect.get_decks/1","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.get_latest_review_id/1 .","ref":"AnkiConnect.html#get_latest_review_id/1","title":"AnkiConnect.get_latest_review_id/1","type":"function"},{"doc":"See AnkiConnect.Actions.Media.get_media_dir_path/0 .","ref":"AnkiConnect.html#get_media_dir_path/0","title":"AnkiConnect.get_media_dir_path/0","type":"function"},{"doc":"See AnkiConnect.Actions.Media.get_media_files_names/1 .","ref":"AnkiConnect.html#get_media_files_names/1","title":"AnkiConnect.get_media_files_names/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.get_note_tags/1 .","ref":"AnkiConnect.html#get_note_tags/1","title":"AnkiConnect.get_note_tags/1","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.get_num_cards_reviewed_by_day/0 .","ref":"AnkiConnect.html#get_num_cards_reviewed_by_day/0","title":"AnkiConnect.get_num_cards_reviewed_by_day/0","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.get_num_cards_reviewed_today/0 .","ref":"AnkiConnect.html#get_num_cards_reviewed_today/0","title":"AnkiConnect.get_num_cards_reviewed_today/0","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.get_profiles/0 .","ref":"AnkiConnect.html#get_profiles/0","title":"AnkiConnect.get_profiles/0","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.get_reviews_of_cards/1 .","ref":"AnkiConnect.html#get_reviews_of_cards/1","title":"AnkiConnect.get_reviews_of_cards/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.get_tags/0 .","ref":"AnkiConnect.html#get_tags/0","title":"AnkiConnect.get_tags/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_add_cards/1 .","ref":"AnkiConnect.html#gui_add_cards/1","title":"AnkiConnect.gui_add_cards/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_answer_card/1 .","ref":"AnkiConnect.html#gui_answer_card/1","title":"AnkiConnect.gui_answer_card/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_browse/1 .","ref":"AnkiConnect.html#gui_browse/1","title":"AnkiConnect.gui_browse/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_check_database/0 .","ref":"AnkiConnect.html#gui_check_database/0","title":"AnkiConnect.gui_check_database/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_current_card/0 .","ref":"AnkiConnect.html#gui_current_card/0","title":"AnkiConnect.gui_current_card/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_deck_browser/0 .","ref":"AnkiConnect.html#gui_deck_browser/0","title":"AnkiConnect.gui_deck_browser/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_deck_overview/1 .","ref":"AnkiConnect.html#gui_deck_overview/1","title":"AnkiConnect.gui_deck_overview/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_deck_review/1 .","ref":"AnkiConnect.html#gui_deck_review/1","title":"AnkiConnect.gui_deck_review/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_edit_note/1 .","ref":"AnkiConnect.html#gui_edit_note/1","title":"AnkiConnect.gui_edit_note/1","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_exit_anki/0 .","ref":"AnkiConnect.html#gui_exit_anki/0","title":"AnkiConnect.gui_exit_anki/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_selected_notes/0 .","ref":"AnkiConnect.html#gui_selected_notes/0","title":"AnkiConnect.gui_selected_notes/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_show_answer/0 .","ref":"AnkiConnect.html#gui_show_answer/0","title":"AnkiConnect.gui_show_answer/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_show_question/0 .","ref":"AnkiConnect.html#gui_show_question/0","title":"AnkiConnect.gui_show_question/0","type":"function"},{"doc":"See AnkiConnect.Actions.Graphical.gui_start_card_timer/0 .","ref":"AnkiConnect.html#gui_start_card_timer/0","title":"AnkiConnect.gui_start_card_timer/0","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.import_package/1 .","ref":"AnkiConnect.html#import_package/1","title":"AnkiConnect.import_package/1","type":"function"},{"doc":"See AnkiConnect.Actions.Statistic.insert_reviews/1 .","ref":"AnkiConnect.html#insert_reviews/1","title":"AnkiConnect.insert_reviews/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.load_profile/1 .","ref":"AnkiConnect.html#load_profile/1","title":"AnkiConnect.load_profile/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_field_descriptions/1 .","ref":"AnkiConnect.html#model_field_descriptions/1","title":"AnkiConnect.model_field_descriptions/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_field_fonts/1 .","ref":"AnkiConnect.html#model_field_fonts/1","title":"AnkiConnect.model_field_fonts/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_field_names/1 .","ref":"AnkiConnect.html#model_field_names/1","title":"AnkiConnect.model_field_names/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_fields_on_templates/1 .","ref":"AnkiConnect.html#model_fields_on_templates/1","title":"AnkiConnect.model_fields_on_templates/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_names/0 .","ref":"AnkiConnect.html#model_names/0","title":"AnkiConnect.model_names/0","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_names_and_ids/0 .","ref":"AnkiConnect.html#model_names_and_ids/0","title":"AnkiConnect.model_names_and_ids/0","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_styling/1 .","ref":"AnkiConnect.html#model_styling/1","title":"AnkiConnect.model_styling/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_template_add/1 .","ref":"AnkiConnect.html#model_template_add/1","title":"AnkiConnect.model_template_add/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_template_rename/1 .","ref":"AnkiConnect.html#model_template_rename/1","title":"AnkiConnect.model_template_rename/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_template_reposition/1 .","ref":"AnkiConnect.html#model_template_reposition/1","title":"AnkiConnect.model_template_reposition/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.model_templates/1 .","ref":"AnkiConnect.html#model_templates/1","title":"AnkiConnect.model_templates/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.multi/1 .","ref":"AnkiConnect.html#multi/1","title":"AnkiConnect.multi/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.notes_info/1 .","ref":"AnkiConnect.html#notes_info/1","title":"AnkiConnect.notes_info/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.reload_collection/0 .","ref":"AnkiConnect.html#reload_collection/0","title":"AnkiConnect.reload_collection/0","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.remove_deck_config_id/1 .","ref":"AnkiConnect.html#remove_deck_config_id/1","title":"AnkiConnect.remove_deck_config_id/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.remove_empty_notes/1 .","ref":"AnkiConnect.html#remove_empty_notes/1","title":"AnkiConnect.remove_empty_notes/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.remove_tags/1 .","ref":"AnkiConnect.html#remove_tags/1","title":"AnkiConnect.remove_tags/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.replace_tags/1 .","ref":"AnkiConnect.html#replace_tags/1","title":"AnkiConnect.replace_tags/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.replace_tags_in_all_notes/1 .","ref":"AnkiConnect.html#replace_tags_in_all_notes/1","title":"AnkiConnect.replace_tags_in_all_notes/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.request_permission/0 .","ref":"AnkiConnect.html#request_permission/0","title":"AnkiConnect.request_permission/0","type":"function"},{"doc":"See AnkiConnect.Actions.Media.retrieve_media_file/1 .","ref":"AnkiConnect.html#retrieve_media_file/1","title":"AnkiConnect.retrieve_media_file/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.save_deck_config/1 .","ref":"AnkiConnect.html#save_deck_config/1","title":"AnkiConnect.save_deck_config/1","type":"function"},{"doc":"See AnkiConnect.Actions.Deck.set_deck_config_id/1 .","ref":"AnkiConnect.html#set_deck_config_id/1","title":"AnkiConnect.set_deck_config_id/1","type":"function"},{"doc":"See AnkiConnect.Actions.Media.store_media_file/1 .","ref":"AnkiConnect.html#store_media_file/1","title":"AnkiConnect.store_media_file/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.sync/0 .","ref":"AnkiConnect.html#sync/0","title":"AnkiConnect.sync/0","type":"function"},{"doc":"See AnkiConnect.Actions.Model.update_model_styling/1 .","ref":"AnkiConnect.html#update_model_styling/1","title":"AnkiConnect.update_model_styling/1","type":"function"},{"doc":"See AnkiConnect.Actions.Model.update_model_templates/1 .","ref":"AnkiConnect.html#update_model_templates/1","title":"AnkiConnect.update_model_templates/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.update_note/1 .","ref":"AnkiConnect.html#update_note/1","title":"AnkiConnect.update_note/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.update_note_fields/1 .","ref":"AnkiConnect.html#update_note_fields/1","title":"AnkiConnect.update_note_fields/1","type":"function"},{"doc":"See AnkiConnect.Actions.Note.update_note_tags/1 .","ref":"AnkiConnect.html#update_note_tags/1","title":"AnkiConnect.update_note_tags/1","type":"function"},{"doc":"See AnkiConnect.Actions.Miscellaneous.version/0 .","ref":"AnkiConnect.html#version/0","title":"AnkiConnect.version/0","type":"function"},{"doc":"Deck actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Deck.html","title":"AnkiConnect.Actions.Deck","type":"module"},{"doc":"Moves cards with the given IDs to a different deck, creating the deck if it doesn’t exist yet. Sample param: %{ cards : [ 1502098034045 , 1502098034048 , 1502298033753 ] , deck : &quot;Japanese::JLPT N3&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#change_deck/1","title":"AnkiConnect.Actions.Deck.change_deck/1","type":"function"},{"doc":"Creates a new configuration group with the given name. Clones from the group with the given ID, or from the default group if this is unspecified. Returns the ID of the new configuration group. Sample param: %{ name : &quot;Copy of Default&quot; , clone_from : 1 } Sample result: { :ok , 1502972374573 }","ref":"AnkiConnect.Actions.Deck.html#clone_deck_config_id/1","title":"AnkiConnect.Actions.Deck.clone_deck_config_id/1","type":"function"},{"doc":"Creates a new empty deck. Will not overwrite a deck that exists with the same name. Sample param: %{ deck : &quot;Japanese::Tokyo&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#create_deck/1","title":"AnkiConnect.Actions.Deck.create_deck/1","type":"function"},{"doc":"Gets the complete list of deck names for the current user. Sample result: { :ok , [ &quot;Default&quot; ] }","ref":"AnkiConnect.Actions.Deck.html#deck_names/0","title":"AnkiConnect.Actions.Deck.deck_names/0","type":"function"},{"doc":"Gets the complete list of deck names and their respective IDs for the current user. Sample result: { :ok , %{ &quot;Default&quot; =&gt; 1 } }","ref":"AnkiConnect.Actions.Deck.html#deck_names_and_ids/0","title":"AnkiConnect.Actions.Deck.deck_names_and_ids/0","type":"function"},{"doc":"Deletes decks with the given names. Warning: this will not only delete the decks, but also all the cards contained in those decks. Sample param: %{ decks : [ &quot;Japanese::JLPT N5&quot; , &quot;Easy Spanish&quot; ] , } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#delete_decks/1","title":"AnkiConnect.Actions.Deck.delete_decks/1","type":"function"},{"doc":"Gets the configuration group object for the given deck. Sample param: %{ deck : &quot;Default&quot; } Sample result: { :ok , %{ &quot;lapse&quot; =&gt; %{ &quot;leechFails&quot; =&gt; 8 , &quot;delays&quot; =&gt; [ 10 ] , &quot;minInt&quot; =&gt; 1 , &quot;leechAction&quot; =&gt; 0 , &quot;mult&quot; =&gt; 0 } , &quot;dyn&quot; =&gt; false , &quot;autoplay&quot; =&gt; true , &quot;mod&quot; =&gt; 1502970872 , &quot;id&quot; =&gt; 1 , &quot;maxTaken&quot; =&gt; 60 , &quot;new&quot; =&gt; %{ &quot;bury&quot; =&gt; true , &quot;order&quot; =&gt; 1 , &quot;initialFactor&quot; =&gt; 2500 , &quot;perDay&quot; =&gt; 20 , &quot;delays&quot; =&gt; [ 1 , 10 ] , &quot;separate&quot; =&gt; true , &quot;ints&quot; =&gt; [ 1 , 4 , 7 ] } , &quot;name&quot; =&gt; &quot;Default&quot; , &quot;rev&quot; =&gt; %{ &quot;bury&quot; =&gt; true , &quot;ivlFct&quot; =&gt; 1 , &quot;ease4&quot; =&gt; 1.3 , &quot;maxIvl&quot; =&gt; 36500 , &quot;perDay&quot; =&gt; 100 , &quot;minSpace&quot; =&gt; 1 , &quot;fuzz&quot; =&gt; 0.05 } , &quot;timer&quot; =&gt; 0 , &quot;replayq&quot; =&gt; true , &quot;usn&quot; =&gt; - 1 } }","ref":"AnkiConnect.Actions.Deck.html#get_deck_config/1","title":"AnkiConnect.Actions.Deck.get_deck_config/1","type":"function"},{"doc":"Gets statistics such as total cards and cards due for the given decks. Sample param: %{ decks : [ &quot;Japanese::JLPT N5&quot; , &quot;Easy Spanish&quot; ] } Sample result: { :ok , %{ &quot;1651445861967&quot; =&gt; %{ &quot;deck_id&quot; =&gt; 1651445861967 , &quot;name&quot; =&gt; &quot;Japanese::JLPT N5&quot; , &quot;new_count&quot; =&gt; 20 , &quot;learn_count&quot; =&gt; 0 , &quot;review_count&quot; =&gt; 0 , &quot;total_in_deck&quot; =&gt; 1506 } , &quot;1651445861960&quot; =&gt; %{ &quot;deck_id&quot; =&gt; 1651445861960 , &quot;name&quot; =&gt; &quot;Easy Spanish&quot; , &quot;new_count&quot; =&gt; 26 , &quot;learn_count&quot; =&gt; 10 , &quot;review_count&quot; =&gt; 5 , &quot;total_in_deck&quot; =&gt; 852 } } }","ref":"AnkiConnect.Actions.Deck.html#get_deck_stats/1","title":"AnkiConnect.Actions.Deck.get_deck_stats/1","type":"function"},{"doc":"Accepts an array of card IDs and returns an object with each deck name as a key, and its value an array of the given cards which belong to it. Sample param: %{ cards : [ 1502298036657 , 1502298033753 , 1502032366472 ] } Sample result: { :ok , %{ &quot;Default&quot; =&gt; [ 1502032366472 ] , &quot;Japanese::JLPT N3&quot; =&gt; [ 1502298036657 , 1502298033753 ] } }","ref":"AnkiConnect.Actions.Deck.html#get_decks/1","title":"AnkiConnect.Actions.Deck.get_decks/1","type":"function"},{"doc":"Removes the configuration group with the given ID. Sample param: %{ config_id : 1502972374573 } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#remove_deck_config_id/1","title":"AnkiConnect.Actions.Deck.remove_deck_config_id/1","type":"function"},{"doc":"Saves the given configuration group. Sample param: %{ config : %{ dyn : false , id : 1 , autoplay : true , lapse : %{ delays : [ 10 ] , leech_action : 0 , leech_fails : 8 , minInt : 1 , mult : 0 } , max_taken : 60 , mod : 1502970872 , name : &quot;Default&quot; , new : %{ bury : true , delays : [ 1 , 10 ] , initial_factor : 2500 , ints : [ 1 , 4 , 7 ] , order : 1 , per_day : 20 , separate : true } , rev : %{ bury : true , ease4 : 1.3 , fuzz : 0.05 , ivlFct : 1 , max_ivl : 36500 , min_space : 1 , per_day : 100 } , replayq : true , timer : 0 , usn : - 1 } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#save_deck_config/1","title":"AnkiConnect.Actions.Deck.save_deck_config/1","type":"function"},{"doc":"Changes the configuration group for the given decks to the one with the given ID. Sample param: %{ decks : [ &quot;Default&quot; ] , config_id : 1 } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Deck.html#set_deck_config_id/1","title":"AnkiConnect.Actions.Deck.set_deck_config_id/1","type":"function"},{"doc":"Graphical actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Graphical.html","title":"AnkiConnect.Actions.Graphical","type":"module"},{"doc":"Invokes the Add Cards dialog, presets the note using the given deck and model, with the provided field values and tags. Invoking it multiple times closes the old window and reopen the window with the new provided values. Audio, video, and picture files can be embedded into the fields via the audio , video , and picture keys, respectively. Refer to the documentation of add_note and store_media_file for an explanation of these fields. The result is the ID of the note which would be added, if the user chose to confirm the Add Cards dialogue. Sample param: %{ note : %{ deck_name : &quot;Default&quot; , model_name : &quot;Cloze&quot; , fields : %{ Text : &quot;The capital of Romania is {{c1::Bucharest}}&quot; , Extra : &quot;Romania is a country in Europe&quot; } , tags : [ &quot;countries&quot; ] , picture : [ %{ url : &quot;https://upload.wikimedia.org/wikipedia/commons/thumb/1/13/EU-Romania.svg/285px-EU-Romania.svg.png&quot; , filename : &quot;romania.png&quot; , fields : [ &quot;Extra&quot; ] } ] } } Sample result: { :ok , 1496198395707 }","ref":"AnkiConnect.Actions.Graphical.html#gui_add_cards/1","title":"AnkiConnect.Actions.Graphical.gui_add_cards/1","type":"function"},{"doc":"Answers the current card. Note that the answer for the current card must be displayed before before any answer can be accepted by Anki.","ref":"AnkiConnect.Actions.Graphical.html#gui_answer_card/1","title":"AnkiConnect.Actions.Graphical.gui_answer_card/1","type":"function"},{"doc":"Invokes the Card Browser dialog and searches for a given query. Returns an array of identifiers of the cards that were found. Query syntax is documented here . Sample result: { :ok , [ 1494723142483 , 1494703460437 , 1494703479525 ] }","ref":"AnkiConnect.Actions.Graphical.html#gui_browse/1","title":"AnkiConnect.Actions.Graphical.gui_browse/1","type":"function"},{"doc":"Requests a database check. It returns immediately without waiting for the check to complete. Therefore, the action will always return {:ok, nil} even if errors are detected during the database check.","ref":"AnkiConnect.Actions.Graphical.html#gui_check_database/0","title":"AnkiConnect.Actions.Graphical.gui_check_database/0","type":"function"},{"doc":"Returns information about the current card or error if not in review mode. Sample result: { :ok , %{ &quot;answer&quot; =&gt; &quot;back content&quot; , &quot;question&quot; =&gt; &quot;front content&quot; , &quot;deckName&quot; =&gt; &quot;Default&quot; , &quot;modelName&quot; =&gt; &quot;Basic&quot; , &quot;fieldOrder&quot; =&gt; 0 , &quot;fields&quot; =&gt; %{ &quot;Front&quot; =&gt; %{ &quot;value&quot; =&gt; &quot;front content&quot; , &quot;order&quot; =&gt; 0 } , &quot;Back&quot; =&gt; %{ &quot;value&quot; =&gt; &quot;back content&quot; , &quot;order&quot; =&gt; 1 } } , &quot;template&quot; =&gt; &quot;Forward&quot; , &quot;cardId&quot; =&gt; 1498938915662 , &quot;buttons&quot; =&gt; [ 1 , 2 , 3 ] , &quot;nextReviews&quot; =&gt; [ &quot;&lt;1m&quot; , &quot;&lt;10m&quot; , &quot;4d&quot; ] } }","ref":"AnkiConnect.Actions.Graphical.html#gui_current_card/0","title":"AnkiConnect.Actions.Graphical.gui_current_card/0","type":"function"},{"doc":"Opens the Deck Browser dialog.","ref":"AnkiConnect.Actions.Graphical.html#gui_deck_browser/0","title":"AnkiConnect.Actions.Graphical.gui_deck_browser/0","type":"function"},{"doc":"Opens the Deck Overview dialog for the deck with the given name. Returns error if failed.","ref":"AnkiConnect.Actions.Graphical.html#gui_deck_overview/1","title":"AnkiConnect.Actions.Graphical.gui_deck_overview/1","type":"function"},{"doc":"Starts review for the deck with the given name. Returns error if failed.","ref":"AnkiConnect.Actions.Graphical.html#gui_deck_review/1","title":"AnkiConnect.Actions.Graphical.gui_deck_review/1","type":"function"},{"doc":"Opens the Edit dialog with a note corresponding to given note ID. The dialog is similar to the Edit Current dialog, but: has a Preview button to preview the cards for the note has a Browse button to open the browser with these cards has Previous/Back buttons to navigate the history of the dialog has no bar with the Close button","ref":"AnkiConnect.Actions.Graphical.html#gui_edit_note/1","title":"AnkiConnect.Actions.Graphical.gui_edit_note/1","type":"function"},{"doc":"Schedules a request to gracefully close Anki. This operation is asynchronous, so it will return immediately and won’t wait until the Anki process actually terminates.","ref":"AnkiConnect.Actions.Graphical.html#gui_exit_anki/0","title":"AnkiConnect.Actions.Graphical.gui_exit_anki/0","type":"function"},{"doc":"Finds the open instance of the Card Browser dialog and returns an array of identifiers of the notes that are selected. Returns an empty list if the browser is not open. Sample result: { :ok , [ 1494723142483 , 1494703460437 , 1494703479525 ] }","ref":"AnkiConnect.Actions.Graphical.html#gui_selected_notes/0","title":"AnkiConnect.Actions.Graphical.gui_selected_notes/0","type":"function"},{"doc":"Shows answer text for the current card. Returns error if not in review mode.","ref":"AnkiConnect.Actions.Graphical.html#gui_show_answer/0","title":"AnkiConnect.Actions.Graphical.gui_show_answer/0","type":"function"},{"doc":"Shows question text for the current card. Returns error if not in review mode.","ref":"AnkiConnect.Actions.Graphical.html#gui_show_question/0","title":"AnkiConnect.Actions.Graphical.gui_show_question/0","type":"function"},{"doc":"Starts or resets the timerStarted value for the current card. This is useful for deferring the start time to when it is displayed via the API, allowing the recorded time taken to answer the card to be more accurate when calling guiAnswerCard.","ref":"AnkiConnect.Actions.Graphical.html#gui_start_card_timer/0","title":"AnkiConnect.Actions.Graphical.gui_start_card_timer/0","type":"function"},{"doc":"Media actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Media.html","title":"AnkiConnect.Actions.Media","type":"module"},{"doc":"Deletes the specified file inside the media folder. Sample param: %{ filename : &quot;_hello.txt&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Media.html#delete_media_file/1","title":"AnkiConnect.Actions.Media.delete_media_file/1","type":"function"},{"doc":"Gets the full path to the collection.media folder of the currently opened profile. Sample result: { :ok , &quot;/home/user/.local/share/Anki2/Main/collection.media&quot; }","ref":"AnkiConnect.Actions.Media.html#get_media_dir_path/0","title":"AnkiConnect.Actions.Media.get_media_dir_path/0","type":"function"},{"doc":"Gets the names of media files matched the pattern. Returning all names by default. Sample param: %{ pattern : &quot;_hell*.txt&quot; } Sample result: { :ok , [ &quot;_hello.txt&quot; ] }","ref":"AnkiConnect.Actions.Media.html#get_media_files_names/1","title":"AnkiConnect.Actions.Media.get_media_files_names/1","type":"function"},{"doc":"Retrieves the base64-encoded contents of the specified file, returning error if the file does not exist. Sample param: %{ filename : &quot;_hello.txt&quot; } Sample result: { :ok , &quot;SGVsbG8sIHdvcmxkIQ==&quot; }","ref":"AnkiConnect.Actions.Media.html#retrieve_media_file/1","title":"AnkiConnect.Actions.Media.retrieve_media_file/1","type":"function"},{"doc":"Stores a file with the specified base64-encoded contents inside the media folder. Alternatively you can specify a absolute file path, or a url from where the file shell be downloaded. If more than one of data , path and url are provided, the data field will be used first, then path , and finally url . To prevent Anki from removing files not used by any cards (e.g. for configuration files), prefix the filename with an underscore. These files are still synchronized to AnkiWeb. Any existing file with the same name is deleted by default. Set deleteExisting to false to prevent that by letting Anki give the new file a non-conflicting name . Sample param (base64 encoded): %{ filename : &quot;_hello.txt&quot; , data : &quot;SGVsbG8sIHdvcmxkIQ==&quot; } Sample param (absolute path): %{ filename : &quot;_hello.txt&quot; , path : &quot;/path/to/file&quot; } Sample param (URL): %{ filename : &quot;_hello.txt&quot; , url : &quot;https://url.to.file&quot; } Sample result: { :ok , &quot;_hello.txt&quot; }","ref":"AnkiConnect.Actions.Media.html#store_media_file/1","title":"AnkiConnect.Actions.Media.store_media_file/1","type":"function"},{"doc":"Miscellaneous actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Miscellaneous.html","title":"AnkiConnect.Actions.Miscellaneous","type":"module"},{"doc":"Gets information about the AnkiConnect APIs available. The request supports the following params: scopes - An array of scopes to get reflection information about. The only currently supported value is &quot;actions&quot; . actions - Either nil or an array of API method names to check for. If the value is nil , the result will list all of the available API actions. If the value is an array of strings, the result will only contain actions which were in this array. The result will contain a list of which scopes were used and a value for each scope. For example, the &quot;actions&quot; scope will contain a &quot;actions&quot; property which contains a list of supported action names. Sample param: %{ scopes : [ &quot;actions&quot; , &quot;invalidType&quot; ] , actions : [ &quot;apiReflect&quot; , &quot;invalidMethod&quot; ] } Sample result: { :ok , %{ &quot;scopes&quot; =&gt; [ &quot;actions&quot; ] , &quot;actions&quot; =&gt; [ &quot;apiReflect&quot; ] } }","ref":"AnkiConnect.Actions.Miscellaneous.html#api_reflect/1","title":"AnkiConnect.Actions.Miscellaneous.api_reflect/1","type":"function"},{"doc":"Exports a given deck in .apkg format. The optional property includeSched (default is false) can be specified to include the cards’ scheduling data. Sample param: %{ deck : &quot;Default&quot; , path : &quot;/data/Deck.apkg&quot; , include_sched : true } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Miscellaneous.html#export_package/1","title":"AnkiConnect.Actions.Miscellaneous.export_package/1","type":"function"},{"doc":"Retrieve the list of profiles. Sample result: { :ok , [ &quot;Default&quot; ] }","ref":"AnkiConnect.Actions.Miscellaneous.html#get_profiles/0","title":"AnkiConnect.Actions.Miscellaneous.get_profiles/0","type":"function"},{"doc":"Imports a file in .apkg format into the collection. Note that the file path is relative to Anki’s collection.media folder, not to the client. Sample param: %{ path : &quot;/data/Deck.apkg&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Miscellaneous.html#import_package/1","title":"AnkiConnect.Actions.Miscellaneous.import_package/1","type":"function"},{"doc":"Selects the profile specified in request. Sample param: %{ name : &quot;user1&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Miscellaneous.html#load_profile/1","title":"AnkiConnect.Actions.Miscellaneous.load_profile/1","type":"function"},{"doc":"Performs multiple actions in one request, returning an array with the response of each action (in the given order). Warning: returned values will vary from returned values of the same actions called separately. That's becasue Elixir-AnkiConnect maps returned value to {:ok, result} or {:error, reason} and is more strict when checking for errors. If you wish to get the same result as calling actions separately, you have to investigate the sources of distinct functions manually. Also, the default version is 6 for all actions. Sample param: %{ actions : [ %{ action : &quot;deckNames&quot; } , %{ action : &quot;deckNames&quot; , version : 6 } , %{ action : &quot;invalidAction&quot; , params : %{ useless : &quot;param&quot; } } , %{ action : &quot;invalidAction&quot; , params : %{ useless : &quot;param&quot; } , version : 6 } ] } Sample result: { :ok , [ [ &quot;Default&quot; ] , %{ &quot;result&quot; =&gt; [ &quot;Default&quot; ] , &quot;error&quot; =&gt; nil } , %{ &quot;result&quot; =&gt; nil , &quot;error&quot; =&gt; &quot;unsupported action&quot; } , %{ &quot;result&quot; =&gt; nil , &quot;error&quot; =&gt; &quot;unsupported action&quot; } ] }","ref":"AnkiConnect.Actions.Miscellaneous.html#multi/1","title":"AnkiConnect.Actions.Miscellaneous.multi/1","type":"function"},{"doc":"Tells anki to reload all data from the database.","ref":"AnkiConnect.Actions.Miscellaneous.html#reload_collection/0","title":"AnkiConnect.Actions.Miscellaneous.reload_collection/0","type":"function"},{"doc":"Requests permission to use the API exposed by AnkiConnect. This method does not require the API key, and is the only one that accepts requests from any origin; the other methods only accept requests from trusted origins, which are listed under webCorsOriginList in the add-on config. localhost is trusted by default. Calling this method from an untrusted origin will display a popup in Anki asking the user whether they want to allow your origin to use the API; calls from trusted origins will return the result without displaying the popup. When denying permission, the user may also choose to ignore further permission requests from that origin. These origins end up in the ignoreOriginList , editable via the add-on config. The result always contains the permission field, which in turn contains either the string granted or denied , corresponding to whether your origin is trusted. If your origin is trusted, the fields requireApiKey ( true if required) and version will also be returned. This should be the first call you make to make sure that your application and Anki-Connect are able to communicate properly with each other. New versions of Anki-Connect are backwards compatible; as long as you are using actions which are available in the reported Anki-Connect version or earlier, everything should work fine. Sample results: { :ok , %{ &quot;permission&quot; =&gt; &quot;granted&quot; , &quot;requireApiKey&quot; =&gt; false , &quot;version&quot; =&gt; 6 } } { :ok , %{ &quot;permission&quot; =&gt; &quot;denied&quot; } }","ref":"AnkiConnect.Actions.Miscellaneous.html#request_permission/0","title":"AnkiConnect.Actions.Miscellaneous.request_permission/0","type":"function"},{"doc":"Synchronizes the local Anki collections with AnkiWeb.","ref":"AnkiConnect.Actions.Miscellaneous.html#sync/0","title":"AnkiConnect.Actions.Miscellaneous.sync/0","type":"function"},{"doc":"Gets the version of the API exposed by AnkiConnect. Currently versions 1 through 6 are defined. Sample result: { :ok , 6 }","ref":"AnkiConnect.Actions.Miscellaneous.html#version/0","title":"AnkiConnect.Actions.Miscellaneous.version/0","type":"function"},{"doc":"Model actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Model.html","title":"AnkiConnect.Actions.Model","type":"module"},{"doc":"Creates a new model to be used in Anki. User must provide the model_name , in_order_fields and card_templates to be used in the model. There are optional fields ccs and is_cloze . If not specified, css will use the default Anki css and is_cloze will be equal to false . If is_cloze is true then model will be created as Cloze. Optionally the Name field can be provided for each entry of card_templates . By default the card names will be Card 1, Card 2, and so on. Sample param: %{ model_name : &quot;newModelName&quot; , in_order_fields : [ &quot;Field1&quot; , &quot;Field2&quot; , &quot;Field3&quot; ] , css : &quot;Optional CSS with default to builtin css&quot; , is_cloze : false , card_templates : [ { Name : &quot;My Card 1&quot; , Front : &quot;Front html {{Field1}}&quot; , Back : &quot;Back html {{Field2}}&quot; } ] } Sample result: %{ &quot;sortf&quot; =&gt; 0 , &quot;did&quot; =&gt; 1 , &quot;latexPre&quot; =&gt; &quot; \\d ocumentclass[12pt]{article} \\s pecial{papersize=3in,5in} \\u sepackage[utf8]{inputenc} \\u sepackage{amssymb,amsmath} \\p agestyle{empty} \\s etlength{ \\p arindent}{0in} \\b egin{document} &quot; , &quot;latexPost&quot; =&gt; &quot; \\e nd{document}&quot; , &quot;mod&quot; =&gt; 1551462107 , &quot;usn&quot; =&gt; - 1 , &quot;vers&quot; =&gt; [ ] , &quot;type&quot; =&gt; 0 , &quot;css&quot; =&gt; &quot;.card { font-family: arial; font-size: 20px; text-align: center; color: black; background-color: white; } &quot; , &quot;name&quot; =&gt; &quot;TestApiModel&quot; , &quot;flds&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;Field1&quot; , &quot;ord&quot; =&gt; 0 , &quot;sticky&quot; =&gt; false , &quot;rtl&quot; =&gt; false , &quot;font&quot; =&gt; &quot;Arial&quot; , &quot;size&quot; =&gt; 20 , &quot;media&quot; =&gt; [ ] } , %{ &quot;name&quot; =&gt; &quot;Field2&quot; , &quot;ord&quot; =&gt; 1 , &quot;sticky&quot; =&gt; false , &quot;rtl&quot; =&gt; false , &quot;font&quot; =&gt; &quot;Arial&quot; , &quot;size&quot; =&gt; 20 , &quot;media&quot; =&gt; [ ] } ] , &quot;tmpls&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;My Card 1&quot; , &quot;ord&quot; =&gt; 0 , &quot;qfmt&quot; =&gt; &quot;&quot; , &quot;afmt&quot; =&gt; &quot;This is the back of the card {{Field2}}&quot; , &quot;did&quot; =&gt; null , &quot;bqfmt&quot; =&gt; &quot;&quot; , &quot;bafmt&quot; =&gt; &quot;&quot; } ] , &quot;tags&quot; =&gt; [ ] , &quot;id&quot; =&gt; 1551462107104 , &quot;req&quot; =&gt; [ [ 0 , &quot;none&quot; , [ ] ] ] }","ref":"AnkiConnect.Actions.Model.html#create_model/1","title":"AnkiConnect.Actions.Model.create_model/1","type":"function"},{"doc":"Find and replace string in existing model by model name. Customise to replace in front, back or css by setting to true/false. Sample param: %{ model : { model_name : &quot;Custom&quot; , find_text : &quot;find&quot; , replace_text : &quot;replace&quot; , Front : true , Back : true , css : true } } Sample result: { :ok , 1 }","ref":"AnkiConnect.Actions.Model.html#find_and_replace_in_models/1","title":"AnkiConnect.Actions.Model.find_and_replace_in_models/1","type":"function"},{"doc":"Creates a new field within a given model. Optionally, the index value can be provided, which works exactly the same as the index in model_field_reposition . By default, the field is added to the end of the field list.","ref":"AnkiConnect.Actions.Model.html#model_field_add/1","title":"AnkiConnect.Actions.Model.model_field_add/1","type":"function"},{"doc":"Gets the complete list of field descriptions (the text seen in the gui editor when a field is empty) for the provided model name. Sample param: %{ model_name : &quot;Basic&quot; } Sample result: { :ok , [ &quot;&quot; , &quot;&quot; ] }","ref":"AnkiConnect.Actions.Model.html#model_field_descriptions/1","title":"AnkiConnect.Actions.Model.model_field_descriptions/1","type":"function"},{"doc":"Gets the complete list of fonts along with their font sizes. Sample param: %{ model_name : &quot;Basic&quot; } Sample result: %{ &quot;Front&quot; =&gt; { &quot;font&quot; =&gt; &quot;Arial&quot; , &quot;size&quot; =&gt; 20 } , &quot;Back&quot; =&gt; { &quot;font&quot; =&gt; &quot;Arial&quot; , &quot;size&quot; =&gt; 20 } }","ref":"AnkiConnect.Actions.Model.html#model_field_fonts/1","title":"AnkiConnect.Actions.Model.model_field_fonts/1","type":"function"},{"doc":"Gets the complete list of field names for the provided model name. Sample param: %{ model_name : &quot;Basic&quot; } Sample result: { :ok , [ &quot;Front&quot; , &quot;Back&quot; ] }","ref":"AnkiConnect.Actions.Model.html#model_field_names/1","title":"AnkiConnect.Actions.Model.model_field_names/1","type":"function"},{"doc":"Deletes a field within a given model.","ref":"AnkiConnect.Actions.Model.html#model_field_remove/1","title":"AnkiConnect.Actions.Model.model_field_remove/1","type":"function"},{"doc":"Rename the field name of a given model.","ref":"AnkiConnect.Actions.Model.html#model_field_rename/1","title":"AnkiConnect.Actions.Model.model_field_rename/1","type":"function"},{"doc":"Reposition the field within the field list of a given model. The value of index starts at 0 . For example, an index of 0 puts the field in the first position, and an index of 2 puts the field in the third position.","ref":"AnkiConnect.Actions.Model.html#model_field_reposition/1","title":"AnkiConnect.Actions.Model.model_field_reposition/1","type":"function"},{"doc":"Sets the description (the text seen in the gui editor when a field is empty) for a field within a given model.","ref":"AnkiConnect.Actions.Model.html#model_field_set_description/1","title":"AnkiConnect.Actions.Model.model_field_set_description/1","type":"function"},{"doc":"Sets the font for a field within a given model.","ref":"AnkiConnect.Actions.Model.html#model_field_set_font/1","title":"AnkiConnect.Actions.Model.model_field_set_font/1","type":"function"},{"doc":"Sets the font size for a field within a given model.","ref":"AnkiConnect.Actions.Model.html#model_field_set_font_size/1","title":"AnkiConnect.Actions.Model.model_field_set_font_size/1","type":"function"},{"doc":"Returns an object indicating the fields on the question and answer side of each card template for the given model name. The question side is given first in each array. Sample param: %{ model_name : &quot;Basic (and reversed card)&quot; } Sample result: %{ &quot;Card 1&quot; =&gt; [ [ &quot;Front&quot; ] , [ &quot;Back&quot; ] ] , &quot;Card 2&quot; =&gt; [ [ &quot;Back&quot; ] , [ &quot;Front&quot; ] ] }","ref":"AnkiConnect.Actions.Model.html#model_fields_on_templates/1","title":"AnkiConnect.Actions.Model.model_fields_on_templates/1","type":"function"},{"doc":"Gets the complete list of model names for the current user. Sample result: { :ok , [ &quot;Basic&quot; , &quot;Basic (and reversed card)&quot; , &quot;Cloze&quot; ] }","ref":"AnkiConnect.Actions.Model.html#model_names/0","title":"AnkiConnect.Actions.Model.model_names/0","type":"function"},{"doc":"Gets the complete list of model names and their corresponding IDs for the current user. Sample result: %{ &quot;Basic&quot; =&gt; 1483883011648 , &quot;Basic (and reversed card)&quot; =&gt; 1483883011644 , &quot;Basic (optional reversed card)&quot; =&gt; 1483883011631 , &quot;Cloze&quot; =&gt; 1483883011630 }","ref":"AnkiConnect.Actions.Model.html#model_names_and_ids/0","title":"AnkiConnect.Actions.Model.model_names_and_ids/0","type":"function"},{"doc":"Gets the CSS styling for the provided model by name. Sample param: %{ model_name : &quot;Basic (and reversed card)&quot; } Sample result: %{ &quot;css&quot; =&gt; &quot;.card { font-family: arial; font-size: 20px; text-align: center; color: black; background-color: white; } &quot; }","ref":"AnkiConnect.Actions.Model.html#model_styling/1","title":"AnkiConnect.Actions.Model.model_styling/1","type":"function"},{"doc":"Adds a template to an existing model by name. If you want to update an existing template, use updateModelTemplates. Sample param: %{ model_name : &quot;Basic&quot; , template : { Name : &quot;Card 3&quot; , Front : &quot;Front html {{Field1}}&quot; , Back : &quot;Back html {{Field2}}&quot; } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Model.html#model_template_add/1","title":"AnkiConnect.Actions.Model.model_template_add/1","type":"function"},{"doc":"Removes a template from an existing model.","ref":"AnkiConnect.Actions.Model.html#model_template_remove/1","title":"AnkiConnect.Actions.Model.model_template_remove/1","type":"function"},{"doc":"Renames a template in an existing model. Sample param: %{ model_name : &quot;Basic&quot; , old_template_name : &quot;Card 1&quot; , new_template_name : &quot;Card 1 renamed&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Model.html#model_template_rename/1","title":"AnkiConnect.Actions.Model.model_template_rename/1","type":"function"},{"doc":"Repositions a template in an existing model. The value of index starts at 0. For example, an index of 0 puts the template in the first position, and an index of 2 puts the template in the third position. Sample param: %{ model_name : &quot;Basic&quot; , template_name : &quot;Card 1&quot; , index : 1 } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Model.html#model_template_reposition/1","title":"AnkiConnect.Actions.Model.model_template_reposition/1","type":"function"},{"doc":"Returns an object indicating the template content for each card connected to the provided model by name. Sample param: %{ model_name : &quot;Basic (and reversed card)&quot; } Sample result: %{ &quot;Card 1&quot; =&gt; { &quot;Front&quot; =&gt; &quot;{{Front}}&quot; , &quot;Back&quot; =&gt; &quot;{{FrontSide}} &lt;hr id=answer&gt; {{Back}}&quot; } , &quot;Card 2&quot; =&gt; { &quot;Front&quot; =&gt; &quot;{{Back}}&quot; , &quot;Back&quot; =&gt; &quot;{{FrontSide}} &lt;hr id=answer&gt; {{Front}}&quot; } } ,","ref":"AnkiConnect.Actions.Model.html#model_templates/1","title":"AnkiConnect.Actions.Model.model_templates/1","type":"function"},{"doc":"Modify the CSS styling of an existing model by name. Sample param: %{ model : { name : &quot;Custom&quot; , css : &quot;p { color: blue; }&quot; } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Model.html#update_model_styling/1","title":"AnkiConnect.Actions.Model.update_model_styling/1","type":"function"},{"doc":"Modify the templates of an existing model by name. Only specifies cards and specified sides will be modified. If an existing card or side is not included in the request, it will be left unchanged. Sample param: %{ model : { name : &quot;Custom&quot; , templates : { &quot;Card 1&quot; =&gt; { Front : &quot;{{Question}}?&quot; , Back : &quot;{{Answer}}!&quot; } } } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Model.html#update_model_templates/1","title":"AnkiConnect.Actions.Model.update_model_templates/1","type":"function"},{"doc":"Note actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Note.html","title":"AnkiConnect.Actions.Note","type":"module"},{"doc":"Creates a note using the given deck and model, with the provided field values and tags. Returns the identifier of the created note created on success, and error on failure. Refer to AnkiConnect.Specs.NoteSpec for information about the note key. Sample param: %{ note : %{ deck_name : &quot;Default&quot; , model_name : &quot;Basic&quot; , fields : %{ Front : &quot;front content&quot; , Back : &quot;back content&quot; } , options : %{ allow_duplicate : false , duplicate_scope : &quot;deck&quot; , duplicate_scope_options : %{ deck_name : &quot;Default&quot; , check_children : false , check_all_models : false } } , tags : [ &quot;yomichan&quot; ] , audio : [ %{ url : &quot;https://assets.languagepod101.com/dictionary/japanese/audiomp3.php?kanji=猫&amp;kana=ねこ&quot; , filename : &quot;yomichan_ねこ_猫.mp3&quot; , skip_hash : &quot;7e2c2f954ef6051373ba916f000168dc&quot; , fields : [ &quot;Front&quot; ] } ] , video : [ %{ url : &quot;https://cdn.videvo.net/videvo_files/video/free/2015-06/small_watermarked/Contador_Glam_preview.mp4&quot; , filename : &quot;countdown.mp4&quot; , skip_hash : &quot;4117e8aab0d37534d9c8eac362388bbe&quot; , fields : [ &quot;Back&quot; ] } ] , picture : [ %{ url : &quot;https://upload.wikimedia.org/wikipedia/commons/thumb/c/c7/A_black_cat_named_Tilly.jpg/220px-A_black_cat_named_Tilly.jpg&quot; , filename : &quot;black_cat.jpg&quot; , skip_hash : &quot;8d6e4646dfae812bf39651b59d7429ce&quot; , fields : [ &quot;Back&quot; ] } ] } } Sample result: { :ok , 1496198395707 }","ref":"AnkiConnect.Actions.Note.html#add_note/1","title":"AnkiConnect.Actions.Note.add_note/1","type":"function"},{"doc":"Creates multiple notes using the given deck and model, with the provided field values and tags. Returns an array of identifiers of the created notes (notes that could not be created will have a nil identifier). Refer to AnkiConnect.Specs.NoteSpec for information about the notes list elements. Sample param: %{ notes : [ %{ deck_name : &quot;Default&quot; , model_name : &quot;Basic&quot; , fields : %{ Front : &quot;front content&quot; , Back : &quot;back content&quot; } , tags : [ &quot;yomichan&quot; ] , audio : [ %{ url : &quot;https://assets.languagepod101.com/dictionary/japanese/audiomp3.php?kanji=猫&amp;kana=ねこ&quot; , filename : &quot;yomichan_ねこ_猫.mp3&quot; , skip_hash : &quot;7e2c2f954ef6051373ba916f000168dc&quot; , fields : [ &quot;Front&quot; ] } ] , video : [ %{ url : &quot;https://cdn.videvo.net/videvo_files/video/free/2015-06/small_watermarked/Contador_Glam_preview.mp4&quot; , filename : &quot;countdown.mp4&quot; , skip_hash : &quot;4117e8aab0d37534d9c8eac362388bbe&quot; , fields : [ &quot;Back&quot; ] } ] , picture : [ %{ url : &quot;https://upload.wikimedia.org/wikipedia/commons/thumb/c/c7/A_black_cat_named_Tilly.jpg/220px-A_black_cat_named_Tilly.jpg&quot; , filename : &quot;black_cat.jpg&quot; , skip_hash : &quot;8d6e4646dfae812bf39651b59d7429ce&quot; , fields : [ &quot;Back&quot; ] } ] } ] } Sample result: { :ok , [ 1496198395707 , nil ] }","ref":"AnkiConnect.Actions.Note.html#add_notes/1","title":"AnkiConnect.Actions.Note.add_notes/1","type":"function"},{"doc":"Adds tags to notes by note ID. Sample param: %{ notes : [ 1483959289817 , 1483959291695 ] , tags : &quot;european-languages&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Note.html#add_tags/1","title":"AnkiConnect.Actions.Note.add_tags/1","type":"function"},{"doc":"Accepts an array of objects which define parameters for candidate notes (see addNote) and returns an array of booleans indicating whether or not the parameters at the corresponding index could be used to create a new note. Sample param: %{ notes : [ { deck_name : &quot;Default&quot; , model_name : &quot;Basic&quot; , fields : { Front : &quot;front content&quot; , Back : &quot;back content&quot; } , tags : [ &quot;yomichan&quot; ] } ] } Sample result: { :ok , [ true ] }","ref":"AnkiConnect.Actions.Note.html#can_add_notes/1","title":"AnkiConnect.Actions.Note.can_add_notes/1","type":"function"},{"doc":"Clears all the unused tags in the notes for the current user.","ref":"AnkiConnect.Actions.Note.html#clear_unused_tags/0","title":"AnkiConnect.Actions.Note.clear_unused_tags/0","type":"function"},{"doc":"Deletes notes with the given ids. If a note has several cards associated with it, all associated cards will be deleted. Sample param: %{ notes : [ 1502298033753 ] }","ref":"AnkiConnect.Actions.Note.html#delete_notes/1","title":"AnkiConnect.Actions.Note.delete_notes/1","type":"function"},{"doc":"Returns an array of note IDs for a given query. Query syntax is documented here . Sample param: %{ query : &quot;deck:current&quot; } Sample result: { :ok , [ 1494723142483 , 1494703460437 , 1494703479525 ] }","ref":"AnkiConnect.Actions.Note.html#find_notes/1","title":"AnkiConnect.Actions.Note.find_notes/1","type":"function"},{"doc":"Get a note’s tags by note ID. Sample param: %{ note : 1483959289817 } Sample result: { :ok , [ &quot;european-languages&quot; ] }","ref":"AnkiConnect.Actions.Note.html#get_note_tags/1","title":"AnkiConnect.Actions.Note.get_note_tags/1","type":"function"},{"doc":"Gets the complete list of tags for the current user. Sample result: { :ok , [ &quot;european-languages&quot; , &quot;idioms&quot; ] }","ref":"AnkiConnect.Actions.Note.html#get_tags/0","title":"AnkiConnect.Actions.Note.get_tags/0","type":"function"},{"doc":"Returns a list of objects containing for each note ID the note fields, tags, note type and the cards belonging to the note. Sample param: %{ notes : [ 1502298033753 ] } Sample result: [ { &quot;noteId&quot; : 1502298033753 , &quot;modelName&quot; : &quot;Basic&quot; , &quot;tags&quot; : [ &quot;tag&quot; , &quot;another_tag&quot; ] , &quot;fields&quot; : { &quot;Front&quot; : { &quot;value&quot; : &quot;front content&quot; , &quot;order&quot; : 0 } , &quot;Back&quot; : { &quot;value&quot; : &quot;back content&quot; , &quot;order&quot; : 1 } } } ]","ref":"AnkiConnect.Actions.Note.html#notes_info/1","title":"AnkiConnect.Actions.Note.notes_info/1","type":"function"},{"doc":"Removes all the empty notes for the current user.","ref":"AnkiConnect.Actions.Note.html#remove_empty_notes/1","title":"AnkiConnect.Actions.Note.remove_empty_notes/1","type":"function"},{"doc":"Remove tags from notes by note ID. Sample param: %{ notes : [ 1483959289817 , 1483959291695 ] , tags : &quot;european-languages&quot; } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Note.html#remove_tags/1","title":"AnkiConnect.Actions.Note.remove_tags/1","type":"function"},{"doc":"Replace tags in notes by note ID. Sample param: %{ notes : [ 1483959289817 , 1483959291695 ] , tag_to_replace : &quot;european-languages&quot; , replace_with_tag : &quot;french-languages&quot; }","ref":"AnkiConnect.Actions.Note.html#replace_tags/1","title":"AnkiConnect.Actions.Note.replace_tags/1","type":"function"},{"doc":"Replace tags in all the notes for the current user. Sample param: %{ tag_to_replace : &quot;european-languages&quot; , replace_with_tag : &quot;french-languages&quot; }","ref":"AnkiConnect.Actions.Note.html#replace_tags_in_all_notes/1","title":"AnkiConnect.Actions.Note.replace_tags_in_all_notes/1","type":"function"},{"doc":"Modify the fields and/or tags of an existing note. In other words, combines update_note_fields and update_note_tags . Please see their documentation for an explanation of all properties. Either fields or tags property can be omitted without affecting the other. Thus valid requests to update_note_fields also work with update_note . The note must have the fields property in order to update the optional audio, video, or picture objects. If neither fields nor tags are provided, the method will fail. Fields are updated first and are not rolled back if updating tags fails. Tags are not updated if updating fields fails. Warning: You must not be viewing the note that you are updating on your Anki browser, otherwise the fields will not update. See this issue for further details. Sample param: %{ note : { id : 1514547547030 , fields : { Front : &quot;new front content&quot; , Back : &quot;new back content&quot; } , tags : [ &quot;new&quot; , &quot;tags&quot; ] } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Note.html#update_note/1","title":"AnkiConnect.Actions.Note.update_note/1","type":"function"},{"doc":"Modify the fields of an existing note. You can also include audio , video , or picture files which will be added to the note with an optional audio , video , or picture property. Please see the documentation for add_note for an explanation of objects in the audio , video , or pictur e array. Warning: You must not be viewing the note that you are updating on your Anki browser, otherwise the fields will not update. See this issue for further details. Sample param: %{ note : { id : 1514547547030 , fields : { Front : &quot;new front content&quot; , Back : &quot;new back content&quot; } , audio : [ { url : &quot;https://assets.languagepod101.com/dictionary/japanese/audiomp3.php?kanji=猫&amp;kana=ねこ&quot; , filename : &quot;yomichan_ねこ_猫.mp3&quot; , skipHash : &quot;7e2c2f954ef6051373ba916f000168dc&quot; , fields : [ &quot;Front&quot; ] } ] } } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Note.html#update_note_fields/1","title":"AnkiConnect.Actions.Note.update_note_fields/1","type":"function"},{"doc":"Set a note’s tags by note ID. Old tags will be removed. Sample param: %{ note : 1483959289817 , tags : [ &quot;european-languages&quot; ] } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Note.html#update_note_tags/1","title":"AnkiConnect.Actions.Note.update_note_tags/1","type":"function"},{"doc":"Statistic actions. All functions are delegated inside AnkiConnect module, so you should import them from there.","ref":"AnkiConnect.Actions.Statistic.html","title":"AnkiConnect.Actions.Statistic","type":"module"},{"doc":"Requests all card reviews for a specified deck after a certain time. start_id is the latest unix time not included in the result. Returns a list of 9-tuples ( reviewTime , cardID , usn , buttonPressed , newInterval , previousInterval , newFactor , reviewDuration , reviewType ) Sample param: %{ deck : &quot;default&quot; , start_id : 1594194095740 } Sample result: [ [ 1594194095746 , 1485369733217 , - 1 , 3 , 4 , - 60 , 2500 , 6157 , 0 ] , [ 1594201393292 , 1485369902086 , - 1 , 1 , - 60 , - 60 , 0 , 4846 , 0 ] ]","ref":"AnkiConnect.Actions.Statistic.html#card_reviews/1","title":"AnkiConnect.Actions.Statistic.card_reviews/1","type":"function"},{"doc":"Gets the collection statistics report Sample param: %{ whole_collection : true } Sample result: { :ok , &quot;&lt;html&gt;...&lt;/html&gt;&quot; }","ref":"AnkiConnect.Actions.Statistic.html#get_collection_stats_html/1","title":"AnkiConnect.Actions.Statistic.get_collection_stats_html/1","type":"function"},{"doc":"Returns the unix time of the latest review for the given deck. 0 if no review has ever been made for the deck. Sample param: %{ deck : &quot;default&quot; } Sample result: { :ok , 1594194095746 }","ref":"AnkiConnect.Actions.Statistic.html#get_latest_review_id/1","title":"AnkiConnect.Actions.Statistic.get_latest_review_id/1","type":"function"},{"doc":"Gets the number of cards reviewed as a list of pairs of (dateString, number) Sample result: [ [ &quot;2021-02-28&quot; , 124 ] , [ &quot;2021-02-27&quot; , 261 ] ]","ref":"AnkiConnect.Actions.Statistic.html#get_num_cards_reviewed_by_day/0","title":"AnkiConnect.Actions.Statistic.get_num_cards_reviewed_by_day/0","type":"function"},{"doc":"Gets the count of cards that have been reviewed in the current day (with day start time as configured by user in anki) Sample result: { :ok , 0 }","ref":"AnkiConnect.Actions.Statistic.html#get_num_cards_reviewed_today/0","title":"AnkiConnect.Actions.Statistic.get_num_cards_reviewed_today/0","type":"function"},{"doc":"Requests all card reviews for each card ID. Returns a dictionary mapping each card ID to a list of dictionaries of the format: { &quot;id&quot; : reviewTime , &quot;usn&quot; : usn , &quot;ease&quot; : buttonPressed , &quot;ivl&quot; : newInterval , &quot;lastIvl&quot; : previousInterval , &quot;factor&quot; : newFactor , &quot;time&quot; : reviewDuration , &quot;type&quot; : reviewType , } The reason why these key values are used instead of the more descriptive counterparts is because these are the exact key values used in Anki’s database. Sample param: %{ cards : [ &quot;1653613948202&quot; ] } Sample result: { &quot;1653613948202&quot; : [ { &quot;id&quot; : 1653772912146 , &quot;usn&quot; : 1750 , &quot;ease&quot; : 1 , &quot;ivl&quot; : - 20 , &quot;lastIvl&quot; : - 20 , &quot;factor&quot; : 0 , &quot;time&quot; : 38192 , &quot;type&quot; : 0 } , { &quot;id&quot; : 1653772965429 , &quot;usn&quot; : 1750 , &quot;ease&quot; : 3 , &quot;ivl&quot; : - 45 , &quot;lastIvl&quot; : - 20 , &quot;factor&quot; : 0 , &quot;time&quot; : 15337 , &quot;type&quot; : 0 } ] }","ref":"AnkiConnect.Actions.Statistic.html#get_reviews_of_cards/1","title":"AnkiConnect.Actions.Statistic.get_reviews_of_cards/1","type":"function"},{"doc":"Inserts the given reviews into the database. Required format: list of 9-tuples (reviewTime, cardID, usn, buttonPressed, newInterval, previousInterval, newFactor, reviewDuration, reviewType) Sample param: %{ reviews : [ [ 1594194095746 , 1485369733217 , - 1 , 3 , 4 , - 60 , 2500 , 6157 , 0 ] , [ 1594201393292 , 1485369902086 , - 1 , 1 , - 60 , - 60 , 0 , 4846 , 0 ] ] } Sample result: { :ok , nil }","ref":"AnkiConnect.Actions.Statistic.html#insert_reviews/1","title":"AnkiConnect.Actions.Statistic.insert_reviews/1","type":"function"},{"doc":"Provides functionality to upload notes from a given text file to Anki.","ref":"AnkiConnect.Services.AddNotesFromFile.html","title":"AnkiConnect.Services.AddNotesFromFile","type":"module"},{"doc":"Uploads notes from a given text file to Anki. Parameters file - path to the file with notes deck - name of the deck to which the notes should be added model [optional] - name of the model to which the notes should be added, by default Basic regex [optional] - regex used to parse the file Default regex is -\\s+(.*)\\s+-\\s+(.*) which means that the file should contain lines in the following format: - back - front where back and front are the back and front of the note respectively. Example File content: - subsidiary - filia - pageant - widowisko - indispensable - niezbędny - out - of - the - way - odległy &gt; mix anki_connect add_notes_from_file --file=&quot;words.md&quot; --deck=&quot;TEST DECK&quot; [1684955655336, 1684955655337, 1684955655338, 1684955655339]","ref":"AnkiConnect.Services.AddNotesFromFile.html#add_notes_from_file/1","title":"AnkiConnect.Services.AddNotesFromFile.add_notes_from_file/1","type":"function"},{"doc":"","ref":"AnkiConnect.Services.AddNotesFromFile.html#t:note/0","title":"AnkiConnect.Services.AddNotesFromFile.note/0","type":"type"},{"doc":"","ref":"AnkiConnect.Specs.FileSpec.html","title":"AnkiConnect.Specs.FileSpec","type":"module"},{"doc":"Represents a file to be downloaded by Anki to media folder. You can specify a base64-encoded string with data param, an absolute file path with path , or a url with url param from where the file shell be downloaded. If more than one of data , path and url are provided, the data field will be used first, then path , and finally url . To prevent Anki from removing files not used by any cards (e.g. for configuration files), prefix the filename with an underscore. These files are still synchronized to AnkiWeb. Any existing file with the same name is deleted by default. Set deleteExisting to false to prevent that by letting Anki give the new file a non-conflicting name . Example (base64 encoded): %{ filename : &quot;_hello.txt&quot; , data : &quot;SGVsbG8sIHdvcmxkIQ==&quot; } Example (absolute path): %{ filename : &quot;_hello.txt&quot; , path : &quot;/path/to/file&quot; } Example (URL): %{ filename : &quot;_hello.txt&quot; , url : &quot;https://url.to.file&quot; } The optional skip_hash field can be optionally provided to skip the inclusion of files with an MD5 hash that matches the provided value. This is useful for avoiding the saving of error pages and stub files. The optional fields member is a list of fields that should play audio or video, or show a picture when the card is displayed in Anki. Example: %{ url : &quot;https://assets.languagepod101.com/dictionary/japanese/audiomp3.php?kanji=猫&amp;kana=ねこ&quot; , filename : &quot;yomichan_ねこ_猫.mp3&quot; , skip_hash : &quot;7e2c2f954ef6051373ba916f000168dc&quot; , fields : [ &quot;Front&quot; ] }","ref":"AnkiConnect.Specs.FileSpec.html#t:t/0","title":"AnkiConnect.Specs.FileSpec.t/0","type":"type"},{"doc":"","ref":"AnkiConnect.Specs.NoteSpec.html","title":"AnkiConnect.Specs.NoteSpec","type":"module"},{"doc":"Notes passed to AnkiConnect.Actions.Note.add_note/1 and AnkiConnect.Actions.Note.add_notes/1 functions follow this spec. Options The duplicate_scope member inside options can be used to specify the scope for which duplicates are checked. A value of &quot;deck&quot; will only check for duplicates in the target deck; any other value will check the entire collection. The duplicate_scope_options map can be used to specify some additional settings: duplicate_scope_options.deck_name will specify which deck to use for checking duplicates in. If nil , the target deck will be used. duplicate_scope_options.check_children will change whether or not duplicate cards are checked in child decks. The default value is false . duplicate_scope_options.check_all_models specifies whether duplicate checks are performed across all note types. The default value is false . Saving media Anki-Connect can download audio, video, and picture files and embed them in newly created notes. To do this, you need to specify the audio , video , and picture fields in the note with a list of files (refer to AnkiConnect.Specs.FileSpec for syntax).","ref":"AnkiConnect.Specs.NoteSpec.html#t:t/0","title":"AnkiConnect.Specs.NoteSpec.t/0","type":"type"}]